%define dist Tk
Name: perl-%dist
Version: 804.027
Release: alt1

Summary: Perl modules providing the Tk graphics library
License: GPL/Artistic/Tk/Tix (see docs)
Group: Development/Perl

Url: %CPAN %dist
Source: %dist-%version.tar.bz2

# MMutil is used to build the package itself
%add_findreq_skiplist */MMutil.pm

# provides for demos are useless
%add_findprov_skiplist %perl_vendor_archlib/Tk/demos/*/*.pl

# demos/widget_lib is a separate library tree
%define _perl_lib_path %perl_vendor_archlib/Tk/demos/widget_lib

Provides: perl-Tk-JPEG
Obsoletes: perl-Tk-JPEG

# Automatically added by buildreq on Sun Jun 20 2004
BuildRequires: XFree86-devel fontconfig-devel freetype2-devel libjpeg-devel libpng-devel perl-devel perl-i18n zlib-devel

%description
This is a set of Perl modules which provide access to the Tk library, 
a Graphical User Interface ToolKit.

%prep
%setup -q -n %dist-%version
%__rm -rfv PNG/zlib PNG/libpng
%__bzip2 Change.log

cd pTk
for f in license.*; do
%__mv "$f" "Tk.$f"
done
cd -

%build
%ifndef _build_display
%def_without test
%else 
# font-dependent test, see README
%__rm -fv t/entry.t t/listbox.t
%endif

%def_enable Werror
%perl_vendor_build XFT=1

%install
%perl_vendor_install

# remove unnesessary files
%__rm -fv %buildroot%perl_vendor_archlib/Tk/reindex.pl
%__rm -fv %buildroot%perl_vendor_archlib/fix_4_os2.pl

%files
%doc COPYING README README.linux Change* Funcs.doc ToDo pTk/*license*
%_bindir/*
%_man1dir/*
%perl_vendor_archlib/Tie*
%perl_vendor_archlib/Tk*
%perl_vendor_autolib/Tk*
%perl_vendor_man3dir/*

%changelog
* Sun Jun 20 2004 Alexey Tourbin <at@altlinux.ru> 804.027-alt1
- 804.025_beta12 -> 804.027
- alt-syntax.patch dropped because of recent rpm-build-perl enhancements
- enabled XFT support
- test status:
  + JP.t and KR.t skipped because of locale settings
  + entry.t and listbox.t disabled because of XFT font metrics
  + all other tests pass so far

* Mon Dec 22 2003 Alexey Tourbin <at@altlinux.ru> 804.025-alt4
- 804.025_beta12; status: 1/2567 subtests failed, 99.96% okay
- findprov_skiplist: demos/*/*.pl

* Tue Nov 18 2003 Alexey Tourbin <at@altlinux.ru> 804.025-alt3
- 804.025_beta6; status: 1/2537 subtests failed, 99.96% okay
- remove zlib and libpng included at %%prep stage

* Thu Oct 23 2003 Alexey Tourbin <at@altlinux.ru> 804.025-alt2
- 804.025_beta3; status: 7/2541 subtests failed, 99.72% okay
- build with -Werror by default
- alt-syntax.patch updated
- ignore MMutil.pm dependency on MakeMaker

* Wed Oct 01 2003 Alexey Tourbin <at@altlinux.ru> 804.025-alt1
- 804.025 (Sep 27 snapshot)
- Provides, Obsoletes: perl-Tk-JPEG
- Sisyphus release (8/2541 subtests failed, 99.69% okay)

* Sat Jul 26 2003 Alexey Tourbin <at@altlinux.ru> 804.024-alt1.pl0.1
- moved to 804 branch with unicode support (804.024.patches-0.1)
- general specfile revision/cleanup; License tag corrected
- Daedalus release (2/30 test fail)

* Tue Nov 05 2002 Stanislav Ievlev <inger@altlinux.ru> 800.024-alt2
- rebuild with new perl

* Mon Mar 25 2002 Grigory Milev <week@altlinux.ru> 800.024-alt1
- new version release (bug fixes)
- fix build requires
- spec cleanup (optimize perl regexp)

* Thu Mar 21 2002 Mikhail Zabaluev <mhz@altlinux.ru> 800.023-alt2
- Fixed an insanely long perlfix script
- Corrected license information and files
- Compressed Change.log
- Minor fixes in build scripts and file lists

* Tue Jul 17 2001 Grigory Milev <week@altlinux.ru> 800.023-alt1
- First build for Sisyphus
